#
# spec file for package libmpeg3 (Version 1.8)
#
#!BuildIgnore:          post-build-checks
%define libname   libmpeg3-1

Name:           %{libname}
Summary:        A decoder for many derivatives of MPEG standards
Summary(de):    Ein Dekoder für viele Derivate des MPEG Standards
Version:        1.8
Release:        2.2
Group:          System/Libraries
License:        GPL v2 or later
URL:            http://heroinewarrior.com/libmpeg3.php3

Source0:        libmpeg3-1.8-src.tar.bz2

#Patch0:         libmpeg3-1.7-makefile.patch
Patch1:         libmpeg3-1.7-cinelerra_autotools.patch
Patch2:         libmpeg3-1.7-cinelerra_hacking.patch
Patch3:         libmpeg3-1.7-fix_commented.patch
Patch4:         libmpeg3-1.7-spec_in.patch
Patch5:         libmpeg3-1.7-pkgconfig.in.patch
Patch6:         libmpeg3-1.7-boostrap.patch
Patch7:         libmpeg3-1.5.2-gnustack.patch
#Patch8:         libmpeg3-1.7-memcpy.patch
Patch9:		libmpeg3-decl.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  gcc
BuildRequires:  liba52dec-devel
BuildRequires:  nasm
Obsoletes:      libmpeg3
Provides:       libmpeg3 = %{version}-%{release}

%description
LibMPEG3 decodes the many many derivatives of MPEG standards into
uncompressed data suitable for editing and playback.

libmpeg3 currently decodes:
 - MPEG-1 Layer II/III Audio and program streams
 - MPEG-2 Layer III Audio, program streams and transport streams
 - MPEG-1 and MPEG-2 Video
 - AC3 Audio
 - IFO files
 - VOB files

%description -l de
LibMPEG3 dekodiert die vielen Varianten des MPEG-Standards in
dekomprimierte Daten, um sie zu editieren oder wiederzugeben.

libmpeg3 aktuell enthaltene Dekoder:
 - MPEG-1 Layer II/III Audio und Program-Streams
 - MPEG-2 Layer III Audio, Programm- und Transport-Streams
 - MPEG-1 und MPEG-2 Video
 - AC3 Audio
 - IFO Dateien
 - VOB Dateien


%package -n libmpeg3-utils
Summary:        Utilities from libmpeg3
Summary(de):    Utilities für die libmpeg3
Group:          Applications/Multimedia
Requires:       %{libname} = %{version}-%{release}

%description -n libmpeg3-utils
LibMPEG3 decodes the many many derivatives of MPEG standards into
uncompressed data suitable for editing and playback.

This package contains utility programs based on libmpeg3.

%description -n libmpeg3-utils -l de
LibMPEG3 dekodiert die vielen Varianten des MPEG-Standards in
dekomprimierte Daten, um sie zu editieren oder wiederzugeben.

Dieses Paket enthält Hilfsprogramme basierend auf der libmpeg3.


%package -n libmpeg3-devel
Summary:        Development files for libmpeg3
Summary(de):    Entwicklerdateien für die libmpeg3
Group:          Development/Libraries
Requires:       %{libname} = %{version}-%{release}
Requires:       glibc-devel

%description -n libmpeg3-devel
LibMPEG3 decodes the many many derivatives of MPEG standards into
uncompressed data suitable for editing and playback.

This package contains files needed to build applications that will use
libmpeg3.

%description -n libmpeg3-devel -l de
LibMPEG3 dekodiert die vielen Varianten des MPEG-Standards in
dekomprimierte Daten, um sie zu editieren oder wiederzugeben.

Dieses Paket enthält Dateien, die benötigt werden um Anwendungen die
auf die libmpeg3 zugreifen zu compilieren.

%debug_package

%prep
%setup -q -n libmpeg3-%{version}
#patch0 -p1 -b .makefile
# Removed unneeded files
#rm -rf a52dec-* depend.a52

# Patch autotools
%patch1 -p1

# Thoses patches was taken from cinepaint cvs
# Which have special libmpeg3
#patch2 -p1 -b .cine_hack

# Fix comments
%patch3 -p1 -b .commented

# Add spec.in
%patch4 -p1

# Add pkgconfig.in
%patch5 -p1

# Add ./bootstrap
%patch6 -p1

# gentoo patches
%patch7 -p1 -b .gnustack
#%patch8 -p1 -b .memcpy
%patch9 -b .decl

# Touch docs files:
touch INSTALL README NEWS AUTHORS ChangeLog

# Build autotools
chmod 755 bootstrap
./bootstrap


%build
# Enable USE_MMX for archs that support it, not by default on i386
%configure --enable-shared --disable-static \
%ifarch i686 x86_64
#  --enable-mmx \
%endif

# This seems not to work with x86_64 on AMD64
# Error: suffix or operands invalid for `push'
#sed -i -e 's|$(CCASFLAGS)|#$(CCASFLAGS)|g' video/Makefile

%{__make} %{?jobs:-j%{jobs}}

%install
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%{__make} install \
    LIBDIR=%{_libdir} \
    DESTDIR=%{buildroot} \
    INSTALL="install -c -p"

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%post
%run_ldconfig

%postun
%run_ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING
%{_libdir}/lib*.so.*

%files -n libmpeg3-utils
%defattr(755,root,root)
%{_bindir}/mpeg3*

%files -n libmpeg3-devel
%defattr(644,root,root,755)
%{_libdir}/lib*.*a
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/libmpeg3.pc
%{_includedir}/mpeg3/

%changelog
* Tue Jan 12 2008 Carsten Schoene <cs@linux-administrator.com>
- initial import for SLE_10

